// MsgProcess.h

// Interfejs pre spracovanie sprav od servera

#ifndef MSGPROCESS_H
#define MSGPROCESS_H

#include "Common/Interfaces/Interface.h"
#include "Common/World/Types.h"

// Interfejs pre spracovanie sprav od servera
class MsgProcessInterface : public Interface
{
public:
	// Konstruktor
	MsgProcessInterface() : Interface("Interfejs spracovania serverovych sprav", "v0.02")
	{
	
	}
	virtual ~MsgProcessInterface()
	{
	
	}

	// METODY

	// Parsovanie spravy
	virtual int ParseMsg(const char* pMsg) = 0;
	// Nastavenie mena timu
	virtual void SetTeamName(const char* pTeamName) = 0;
	// Vratenie mena timu
	virtual char * GetTeamName() = 0;
	// Nastavenie skutocnej strany
	virtual void SetRealSide(RealSide rs) = 0;
};

#endif // MSGPROCESS_H

