// CoachAnalyser.h

#ifndef COACHANALYSER_H
#define COACHANALYSER_H

#include "Common/Protocol/ParseStructs.h"
#include "Player/Formation.h"

#define FIELDWIDTH 104
#define FIELDHEIGHT 68
#define SECTORSIZE 2

//#define OBRANA 0
//#define STRED 1
//#define UTOK 2
#define MAXOFFSET 25 
#define MAXFORMATIONS 5 //nahradi sa konfigurakom

class CoachAnalyser
{
	unsigned field[FIELDWIDTH/SECTORSIZE][FIELDHEIGHT/SECTORSIZE];

public:
	// Konsturktor
	CoachAnalyser();
	// Destruktor
	~CoachAnalyser();
	
	unsigned CountAttackFitness(Formation * f);
	unsigned CountDefenceFitness(Formation * f);
	void PrintToFile(const char *file);
	void Reset();
	void Update(const COACH_VISUAL_INFO *vi);	
};

#endif // COACHANALYSER_H
