// ParseStrings.h

// Parsovacie struktury - hracie mody, orientacne body
#ifndef PARSESTRINGS_H
#define PARSESTRINGS_H

#include "Common/World/Types.h"

// Struktura hracieho modu
struct PLAY_MODE_TRANSLATION
{
	// Nazov hracieho modu
	const char* string;
	// Samotny mod
	PlayMode mode;
};

extern PLAY_MODE_TRANSLATION PLAY_MODES_LEFT[PM_MAX];
extern PLAY_MODE_TRANSLATION PLAY_MODES_RIGHT[PM_MAX];

// Struktura orientacneho bodu
struct LANDMARK_TRANSLATION
{
	// Nazov orientacneho bodu
	const char* string;
	// Samotny orientacny bod
	FlagType landmark;
};

extern LANDMARK_TRANSLATION LANDMARKS_LEFT[FLAG_MAX];
extern LANDMARK_TRANSLATION LANDMARKS_RIGHT[FLAG_MAX];

#endif // PARSESTRINGS_H

